#include<iostream>
#include<algorithm>
#include <cstdlib>

using namespace std;
#define MAXN 100000
int main(){
long long int a[MAXN];
long long int i,z;
long long int n,x;
ios::sync_with_stdio(false);
cin>>n;
cin>>x;
z=0;
for(i=0;i<n;i++)
cin>>a[i];
sort(a,a+n);
 
z=abs(x-a[0])+a[n-1]-a[0];
cout<<z;
	
}